import Shop from '../../../net/api/shop'
import {
    sImgPrefix
}
from '../../../net/mainUrl'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        pageData: {
            page: 1,
            rows: 10,
            keywords: '',
            startTime: '',
            endTime: '',
            orderStatus: ''
        },
        msgShow: false,
        msgHint: '',
        msgType: 'error',
        loadingState: 'loading',
        listRefreshTrig: false,
        isLoadMore: false,
        hasMore: true,
        goodsList: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        wx.setNavigationBarTitle({
            title: '已经购买',
        })
        wx.setNavigationBarColor({
            frontColor: '#000000', // 必写项，字体颜色仅支持#ffffff和#000000
            backgroundColor: '#FFFFFF', // 传递的颜色值，仅支持十六进制颜色
            animation: { // 可选项
                duration: 500,
                timingFunc: 'easeIn'
            }
        })
        this.doRefreshList()
    },
    inputKeywords(e) {
        this.setData({
            'pageData.keywords': e.detail.value
        })
    },
    doSearch() {
        this.doRefreshList()
    },
    doRefreshList() {
        console.log('正在刷新...')
        const _self = this
        _self.setData({
            listRefreshTrig: true,
            loadingState: 'loading',
            hasMore: true,
            isLoadMore: false,
            'pageData.page': 1,
        })
        _self.doGetMineOrders(true)
    },
    doLoadMore() {
        //判断是否正在加载中 与是否存在更多数据
        const _self = this
        if (_self.data.isLoadMore || !_self.data.hasMore) {
            return
        }
        _self.setData({
            isLoadMore: true,
            'pageData.page': ++_self.data.pageData.page,
        })
        _self.doGetMineOrders(false)
    },
    //获取列表
    doGetMineOrders(isRefresh) {
        const _self = this
        _self.setData({
            goodsList: isRefresh ? [] : _self.data.goodsList,
            loadingState: isRefresh ? 'loading' : ''
        })
        Shop.doGetMineOrders(_self.data.pageData)
            .then(res => {
                console.log(res)
                var status = 'success'
                status = res.rows && res.rows.length > 0 ? 'success' : 'empty'
                const list = _self.addPrefixToPreviewImgs(res.rows)
                _self.setData({
                    loadingState: isRefresh ? status : '',
                    goodsList: _self.data.goodsList.concat(list),
                    listRefreshTrig: false,
                    isLoadMore: false
                })
                _self.setData({
                    hasMore: _self.data.goodsList.length < res.total
                })
            }, err => {
                _self.setData({
                    loadingState: 'error',
                    listRefreshTrig: false,
                    isLoadMore: false,
                    hasMore: true
                })
            })
    },
    //为数据中图片添加前缀
    addPrefixToPreviewImgs(data) {
        const prefix = sImgPrefix
        return data.map(item => {
            if (item.goodsDTO.goodsPhoto && item.goodsDTO.goodsPhoto != '') {
                item.goodsDTO.preImg = prefix + item.goodsDTO.goodsPhoto
            }
            return item;
        });
    },

})